Last Comment Bug 762432 - __lookup{Getter,Setter}__ broken for proxies
: __lookup{Getter,Setter}__ broken for proxies
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: JavaScript Engine (show other bugs)
: unspecified
: All All
: -- normal (vote)
: mozilla16
Assigned To: Bobby Holley (:bholley) (busy with Stylo)
:
: Jason Orendorff [:jorendorff]
Mentors:
Depends on: 764289 766430
Blocks: 762492
  Show dependency treegraph
 
Reported: 2012-06-07 04:21 PDT by Bobby Holley (:bholley) (busy with Stylo)
Modified: 2012-07-13 14:10 PDT (History)
1 user (show)
bobbyholley: in‑testsuite+
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Handle proxies on __lookupGetter__ and __lookupSetter__. v1 (4.44 KB, patch)
2012-06-07 04:26 PDT, Bobby Holley (:bholley) (busy with Stylo)
no flags Details | Diff | Splinter Review
Handle proxies on __lookupGetter__ and __lookupSetter__. v2 (5.40 KB, patch)
2012-06-08 03:25 PDT, Bobby Holley (:bholley) (busy with Stylo)
jorendorff: review+
Details | Diff | Splinter Review

Description Bobby Holley (:bholley) (busy with Stylo) 2012-06-07 04:21:56 PDT
I need them to work for SpecialPowers wrapping stuff. Patch coming up.
Comment 1 Bobby Holley (:bholley) (busy with Stylo) 2012-06-07 04:26:28 PDT
Created attachment 630917 [details] [diff] [review]
Handle proxies on __lookupGetter__ and __lookupSetter__. v1

Attaching a patch. Flagging jorendorff for review.
Comment 2 Jason Orendorff [:jorendorff] 2012-06-07 18:19:07 PDT
Comment on attachment 630917 [details] [diff] [review]
Handle proxies on __lookupGetter__ and __lookupSetter__. v1

Heh. Gross, but I think it'll work.
Comment 3 Jason Orendorff [:jorendorff] 2012-06-07 18:20:02 PDT
Comment on attachment 630917 [details] [diff] [review]
Handle proxies on __lookupGetter__ and __lookupSetter__. v1

Whoops. Sorry, this needs a test. Re-request review please.
Comment 4 Bobby Holley (:bholley) (busy with Stylo) 2012-06-08 03:25:14 PDT
Created attachment 631330 [details] [diff] [review]
Handle proxies on __lookupGetter__ and __lookupSetter__. v2

To be fair, the patch already had tests in two places. But I understand the convenience of having js tests not depend on gecko. Reflagging.
Comment 5 Jason Orendorff [:jorendorff] 2012-06-11 10:18:15 PDT
Comment on attachment 631330 [details] [diff] [review]
Handle proxies on __lookupGetter__ and __lookupSetter__. v2

I'm really sorry, Bobby. I don't know how I missed the tests already in the patch. Just failed to scroll down or something.

Thanks for the js-only test. It'll help.
Comment 6 Bobby Holley (:bholley) (busy with Stylo) 2012-06-12 03:37:38 PDT
Pushed to try, along with another patch: https://tbpl.mozilla.org/?tree=Try&rev=29d25bdd5cc2
Comment 7 Bobby Holley (:bholley) (busy with Stylo) 2012-06-12 06:46:42 PDT
Pushed to m-i: http://hg.mozilla.org/integration/mozilla-inbound/rev/1bdd81c4d926
Comment 8 Matt Brubeck (:mbrubeck) 2012-06-12 18:33:47 PDT
https://hg.mozilla.org/mozilla-central/rev/1bdd81c4d926

Note You need to log in before you can comment on or make changes to this bug.